import 'package:flutter/material.dart';

class Constant {
  /// debug开关，上线需要关闭
  /// App运行在Release环境时，inProduction为true；当App运行在Debug和Profile环境时，inProduction为false
  static const bool inProduction  = const bool.fromEnvironment("dart.vm.product");

  static bool isTest  = false;

  static const String data = 'data';
  static const String message = 'message';
  static const String code = 'statusCode';

  static const String keyGuide = 'keyGuide';
  static const String phone = 'phone';
  static const String accessToken = 'accessToken';

  static const String refreshToken = 'refreshToken';

  static const String userId = 'userId';
  static const String companyId = 'companyId';
  static const String companyRole = 'role';
  static const String user = "user";

  static const String RoleWork = "ROLEMTWORK";
  static const String RoleClerk = "CLERK";
  static const String RoleFinance = "FINANCE";
  static const String RoleRegion = "REGION_DIRECTOR";
  static const String RoleHigh = "HIGH_DIRECTOR";
  static const String RoleAdmin = "ENTERPRISE_ADMIN";

  static const String userAuth = "userAuth";

  static const String theme = "AppTheme";
  ///1.住宅2.办公楼3.医院4.商场5.工厂6.酒店7.交通枢纽8.学校9.剧场10.其他
  static const List<String> projectUsageText = ["","住宅", "办公楼", "医院", "商场", "工厂","酒店","交通枢纽","学校","剧场","其他"];
  ///无证，1：待审核，2：审核未通过，3：审核通过，4：超期
  static const List<String> certificateStatus = ["无证", "待审核", "审核未通过", "审核通过", "超期"];
//  static const List<String> liftType =  ["曳引梯", "液压梯", "杂物梯", "自动扶梯","自动人行道"];

  static const List<Color> colorList = [
    Color(0xFFFFD147), Color(0xFFA9DAF2), Color(0xFFFAAF64),
    Color(0xFF7087FA), Color(0xFFA0E65C), Color(0xFF5CE6A1), Color(0xFFA364FA),
    Color(0xFFDA61F2), Color(0xFFFA64AE), Color(0xFFFA6464),
  ];
}
