
class UserInfoEntity {

  UserInfoEntity({this.wxBindFlag=false});
  String companyName;
  String roleName;
  String roleCode;
  bool wxBindFlag;
  String userName;
  String nickName;
  String alipayRealName;
  int showWhichName;
  double balance;
  String avatarUrl;
  String mobile;
  String remarks;
  String signature;
  int certificateStatus; //0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
  int userLevel;
  String userLevelName;
  String alipayAccount;

	UserInfoEntity.fromJsonMap(Map<String, dynamic> map): 
		companyName = map["companyName"],
		showWhichName = map["showWhichName"],
		alipayRealName = map["alipayRealName"],
		roleName = map["roleName"],
    roleCode = map["roleCode"],
		userName = map["userName"],
		nickName = map["nickName"],
		balance = map["balance"],
		avatarUrl = map["avatarUrl"],
		mobile = map["mobile"],
		remarks = map["remarks"],
		signature = map["signature"],
		certificateStatus = map["certificateStatus"],
    userLevel = map["userLevel"],
    wxBindFlag = map["wxBindFlag"],
    userLevelName = map["userLevelName"],
    alipayAccount = map["alipayAccount"];

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['alipayRealName'] = alipayRealName;
		data['companyName'] = companyName;
		data['showWhichName'] = showWhichName;
		data['roleName'] = roleName;
    data['roleCode'] = roleCode;
		data['userName'] = userName;
		data['nickName'] = nickName;
		data['balance'] = balance;
		data['avatarUrl'] = avatarUrl;
		data['mobile'] = mobile;
		data['remarks'] = remarks;
		data['signature'] = signature;
		data['certificateStatus'] = certificateStatus;
    data['userLevel'] = userLevel;
    data['wxBindFlag'] = wxBindFlag;
    data['userLevelName'] = userLevelName;
    data['alipayAccount'] = alipayAccount;
		return data;
	}
}
