class ExpertModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  ExpertModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  ExpertModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  String userId;
  String acount;
  String password;
  String name;
  String realName;
  double serviceFee;
  int levelTotalScore;
  int averageScore;
  int expertLevel;
  int vipFlag;
  int userLevel;
  int platformInvitedFlag;
  String proficiencyBrand;
  String proficiency;
  int nearbyFlag;
  String mobile;
  int gender;
  int age;
  String avatarUrl;
  String remarks;
  String signature;
  int serviceTotal;
  int satisfactionTotal;
  int level;
  int maintenanceTotal;
  int emergencyTotal;
  int liftTotal;
  double balance;
  String type;
  int deleteFlag;
  String alipayAccount;
  String alipayId;
  double freezeBalance;
  int statuz;
  double lon;
  double lat;
  int applyFlag;
  double score;
  int maintenanceCompanyId;
  int createTime;
  String createBy;
  int updateTime;
  int requestCode;
  int serviceCounts;
  int adoptCounts;
  String qrCodeUrl;
  String updateBy;
  String proficiencyBrandName;
  String address;
  String introduction;
  String experience;
  int workDate;

  Records(
      {this.userId,
      this.acount,
      this.address,
      this.introduction,
      this.experience,
      this.workDate,
      this.password,
      this.name,
      this.realName,
      this.serviceFee,
      this.levelTotalScore,
      this.averageScore,
      this.expertLevel,
      this.vipFlag,
      this.userLevel,
      this.platformInvitedFlag,
      this.proficiencyBrand,
      this.proficiency,
      this.nearbyFlag,
      this.serviceCounts,
      this.adoptCounts,
      this.mobile,
      this.gender,
      this.age,
      this.avatarUrl,
      this.remarks,
      this.signature,
      this.serviceTotal,
      this.satisfactionTotal,
      this.level,
      this.maintenanceTotal,
      this.emergencyTotal,
      this.liftTotal,
      this.balance,
      this.type,
      this.deleteFlag,
      this.alipayAccount,
      this.alipayId,
      this.freezeBalance,
      this.statuz,
      this.lon,
      this.lat,
      this.applyFlag,
      this.score,
      this.maintenanceCompanyId,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.requestCode,
      this.qrCodeUrl,
      this.updateBy,
      this.proficiencyBrandName});

  Records.fromJson(Map<String, dynamic> json) {
    userId = json['userId'];
    acount = json['acount'];
    address = json['address'];
    introduction = json['introduction'];
    experience = json['experience'];
    workDate = json['workDate'];
    serviceCounts = json['serviceCounts'];
    adoptCounts = json['adoptCounts'];
    password = json['password'];
    name = json['name'];
    realName = json['realName'];
    serviceFee = json['serviceFee'];
    levelTotalScore = json['levelTotalScore'];
    averageScore = json['averageScore'];
    expertLevel = json['expertLevel'];
    vipFlag = json['vipFlag'];
    userLevel = json['userLevel'];
    platformInvitedFlag = json['platformInvitedFlag'];
    proficiencyBrand = json['proficiencyBrand'];
    proficiency = json['proficiency'];
    nearbyFlag = json['nearbyFlag'];
    mobile = json['mobile'];
    gender = json['gender'];
    age = json['age'];
    avatarUrl = json['avatarUrl'];
    remarks = json['remarks'];
    signature = json['signature'];
    serviceTotal = json['serviceTotal'];
    satisfactionTotal = json['satisfactionTotal'];
    level = json['level'];
    maintenanceTotal = json['maintenanceTotal'];
    emergencyTotal = json['emergencyTotal'];
    liftTotal = json['liftTotal'];
    balance = json['balance'];
    type = json['type'];
    deleteFlag = json['deleteFlag'];
    alipayAccount = json['alipayAccount'];
    alipayId = json['alipayId'];
    freezeBalance = json['freezeBalance'];
    statuz = json['statuz'];
    lon = json['lon'];
    lat = json['lat'];
    applyFlag = json['applyFlag'];
    score = json['score'];
    maintenanceCompanyId = json['maintenanceCompanyId'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    proficiencyBrandName = json['proficiencyBrandName'];
    qrCodeUrl = json['qrCodeUrl'];
    requestCode = json['requestCode'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['serviceCounts'] = this.serviceCounts;
    data['requestCode'] = this.requestCode;
    data['adoptCounts'] = this.adoptCounts;
    data['qrCodeUrl'] = this.qrCodeUrl;
    data['userId'] = this.userId;
    data['acount'] = this.acount;
    data['address'] = this.address;
    data['introduction'] = this.introduction;
    data['experience'] = this.experience;
    data['workDate'] = this.workDate;
    data['password'] = this.password;
    data['name'] = this.name;
    data['realName'] = this.realName;
    data['serviceFee'] = this.serviceFee;
    data['levelTotalScore'] = this.levelTotalScore;
    data['averageScore'] = this.averageScore;
    data['expertLevel'] = this.expertLevel;
    data['vipFlag'] = this.vipFlag;
    data['userLevel'] = this.userLevel;
    data['platformInvitedFlag'] = this.platformInvitedFlag;
    data['proficiencyBrand'] = this.proficiencyBrand;
    data['proficiency'] = this.proficiency;
    data['nearbyFlag'] = this.nearbyFlag;
    data['mobile'] = this.mobile;
    data['gender'] = this.gender;
    data['age'] = this.age;
    data['avatarUrl'] = this.avatarUrl;
    data['remarks'] = this.remarks;
    data['signature'] = this.signature;
    data['serviceTotal'] = this.serviceTotal;
    data['satisfactionTotal'] = this.satisfactionTotal;
    data['level'] = this.level;
    data['maintenanceTotal'] = this.maintenanceTotal;
    data['emergencyTotal'] = this.emergencyTotal;
    data['liftTotal'] = this.liftTotal;
    data['balance'] = this.balance;
    data['type'] = this.type;
    data['deleteFlag'] = this.deleteFlag;
    data['alipayAccount'] = this.alipayAccount;
    data['alipayId'] = this.alipayId;
    data['freezeBalance'] = this.freezeBalance;
    data['statuz'] = this.statuz;
    data['lon'] = this.lon;
    data['lat'] = this.lat;
    data['applyFlag'] = this.applyFlag;
    data['score'] = this.score;
    data['maintenanceCompanyId'] = this.maintenanceCompanyId;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['proficiencyBrandName'] = this.proficiencyBrandName;
    return data;
  }
}
