class NewsDetailItem {
//  String release_id;
//  bool isLike;
//  String release_date;
//  String video_path;
//  int top_serial;
//  String district;
//  String release_user;
//  String id;
//  String title;
//  String content;
//  int lookNum;

  String id;
  bool isTop;
  int topSerial;
  String title;
  String content;
  String videoUrl;
  String releaseDate;
  String releaseUser;
  String releaseId;
  String lookNum;
  String likeNum;
  bool isLike;

  NewsDetailItem(
      {this.id = "",
      this.isTop,
      this.topSerial,
      this.title,
      this.content,
      this.videoUrl,
      this.releaseDate,
      this.releaseUser,
      this.releaseId,
      this.lookNum,
      this.likeNum,
      this.isLike});

  NewsDetailItem.fromJsonMap(Map<String, dynamic> json)
      : id = json['id'],
        isTop = json['isTop'],
        topSerial = json['topSerial'],
        title = json['title'],
        content = json['content'],
        videoUrl = json['videoUrl'],
        releaseDate = json['releaseDate'],
        releaseUser = json['releaseUser'],
        releaseId = json['releaseId'],
        lookNum = json['lookNum'],
        likeNum = json['likeNum'],
        isLike = json['isLike'];

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['isTop'] = this.isTop;
    data['topSerial'] = this.topSerial;
    data['title'] = this.title;
    data['content'] = this.content;
    data['videoUrl'] = this.videoUrl;
    data['releaseDate'] = this.releaseDate;
    data['releaseUser'] = this.releaseUser;
    data['releaseId'] = this.releaseId;
    data['lookNum'] = this.lookNum;
    data['likeNum'] = this.likeNum;
    data['isLike'] = this.isLike;
    return data;
  }
}
