class MaintenanceOptionsItem {
  String id;
  String mtCompanyId;
  String item;
  String content;
  int type;
  int liftCategory;
  int sort;
  int status;
  String signage;

  MaintenanceOptionsItem.fromJsonMap(Map<String, dynamic> map)
      : id = map["id"],
        mtCompanyId = map["mtCompanyId"],
        item = map["item"],
        content = map["content"],
        type = map["type"],
        liftCategory = map["liftCategory"],
        sort = map["sort"],
        status = -1,
        signage = map["signage"];

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = id;
    data['mtCompanyId'] = mtCompanyId;
    data['item'] = item;
    data['content'] = content;
    data['type'] = type;
    data['liftCategory'] = liftCategory;
    data['sort'] = sort;
    data['status'] = status;
    data['signage'] = signage;
    return data;
  }
}
