import 'package:fluro/fluro.dart';
import 'package:liftmanager/internal/notification/page/notification_list_page.dart';
import 'package:liftmanager/routers/router_init.dart';


class NotificationRouter implements IRouterProvider{

  static String notificationListPage = "/notification/list";

  @override
  void initRouter(Router router) {
    router.define(notificationListPage, handler: Handler(handlerFunc: (_, params) => NotificationListPage()));
  }
}