class TeamInfoItem {
  String name;
  String corporator;
  String telephone;
  String remarks;
  int isCertificated;
  String createDate;
  String logoImg;
  int userNum;
  bool managerFlag;

  TeamInfoItem(
      {this.name = "",
      this.corporator = "",
      this.telephone = "",
      this.remarks = "",
      this.isCertificated = 0,
      this.createDate = "",
      this.logoImg = "",
      this.userNum = 0,
      this.managerFlag=false});

  TeamInfoItem.fromJsonMap(Map<String, dynamic> json)
      : name = json['name'],
        corporator = json['corporator'],
        telephone = json['telephone'],
        remarks = json['remarks'],
        isCertificated = json['isCertificated'],
        createDate = json['createDate'],
        logoImg = json['logoImg'],
        userNum = json['userNum'],
        managerFlag = json['managerFlag'];

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['corporator'] = this.corporator;
    data['telephone'] = this.telephone;
    data['remarks'] = this.remarks;
    data['isCertificated'] = this.isCertificated;
    data['createDate'] = this.createDate;
    data['logoImg'] = this.logoImg;
    data['userNum'] = this.userNum;
    return data;
  }
}
