import 'package:fluro/fluro.dart';
import 'package:liftmanager/internal/friends/page/friends_list.dart';
import 'package:liftmanager/internal/friends/page/near_list.dart';
import 'package:liftmanager/internal/friends/page/near_detail.dart';

import 'package:liftmanager/routers/router_init.dart';


class FriendsRouter implements IRouterProvider{

  static String friendsList = "/friends/friendsList";
  static String nearList = "/friends/nearList";
  static String nearDetail = "/friends/nearDetail";

  @override
  void initRouter(Router router) {
      // router.define(brandPage, handler: Handler(handlerFunc: (_, params){
      //   String index = params["index"].first;
      //   return BrandPage(index);
      // }));
      router.define(friendsList, handler: Handler(handlerFunc: (_, params) => FriendsList()));
      router.define(nearList, handler: Handler(handlerFunc: (_, params) => NearList()));
      router.define(nearDetail, handler: Handler(handlerFunc: (_, params) => NearDetail()));
  }

}