class FriendModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  FriendModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  FriendModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String sessionid;
  int dataId;
  int dataTable;
  String userId;
  String pwd;
  String createUserId;
  int statuz;
  String userName;
  String name;
  String expression;
  String avatarUrl;
  String msg;
  int time;
  int caseType;
  int acceptStatus;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.sessionid,
      this.dataId,
      this.dataTable,
      this.userId,
      this.pwd,
      this.createUserId,
      this.statuz,
      this.userName,
      this.name,
      this.expression,
      this.msg,
      this.time,
      this.caseType,
      this.acceptStatus,
      this.avatarUrl});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    sessionid = json['sessionid'];
    dataId = json['dataId'];
    dataTable = json['dataTable'];
    userId = json['userId'];
    pwd = json['pwd'];
    createUserId = json['createUserId'];
    statuz = json['statuz'];
    userName = json['userName'];
    name = json['name'];
    expression = json['expression'];
    avatarUrl = json['avatarUrl'];
    msg = json['msg'];
    time = json['time'];
    caseType = json['caseType'];
    acceptStatus = json['acceptStatus'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['sessionid'] = this.sessionid;
    data['dataId'] = this.dataId;
    data['dataTable'] = this.dataTable;
    data['userId'] = this.userId;
    data['pwd'] = this.pwd;
    data['createUserId'] = this.createUserId;
    data['statuz'] = this.statuz;
    data['userName'] = this.userName;
    data['name'] = this.name;
    data['expression'] = this.expression;
    data['avatarUrl'] = this.avatarUrl;
    data['msg'] = this.msg;
    data['time'] = this.time;
    data['caseType'] = this.caseType;
    data['acceptStatus'] = this.acceptStatus;
    return data;
  }
}