
import 'package:fluro/fluro.dart';
import 'package:liftmanager/internal/hospital/page/hospital_detail_page.dart';
import 'package:liftmanager/routers/router_init.dart';

class HospitalRouter implements IRouterProvider {

  static String hospitalDetailPage = "/hospital/detail";

  @override
  void initRouter(Router router) {
    router.define(hospitalDetailPage, handler: Handler(handlerFunc: (_, params) => HospitalDetailPage()));
  }
}